package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GameStrategyListParam;
import com.zanxiang.manage.domain.params.GameStrategyParam;
import com.zanxiang.manage.domain.vo.GameStrategyListVO;
import com.zanxiang.manage.domain.vo.GameStrategyVO;
import com.zanxiang.mybatis.entity.GameStrategy;

import java.util.List;

/**
 * 游戏策略 服务类接口
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
public interface IGameStrategyService extends IService<GameStrategy> {

    /**
     * 通过游戏id
     *
     * @param gameId 游戏id
     * @return {@link List}<{@link GameStrategyVO}>
     */
    List<GameStrategyVO> getByGameId(Long gameId);

    /**
     * 保存或更新
     *
     * @param bo : 参数
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(GameStrategyParam bo);

    /**
     * 列表
     *
     * @param bo : 参数
     * @return {@link IPage}<{@link GameStrategyListVO}>
     */
    IPage<GameStrategyListVO> list(GameStrategyListParam bo);
}
