package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.PayBoxAddUpdateParam;
import com.zanxiang.manage.domain.params.PayBoxListParam;
import com.zanxiang.manage.domain.vo.PayBoxListVO;
import com.zanxiang.mybatis.entity.PayBox;
import com.zanxiang.mybatis.entity.PayMerchant;

import java.util.Map;

/**
 * 支付盒子 服务类接口
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */

public interface IPayBoxService extends IService<PayBox> {

    /**
     * 支付应用添加或者更新
     *
     * @param param : 参数
     * @return : 返回结果
     */
    Boolean addOrUpdate(PayBoxAddUpdateParam param);

    /**
     * 列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link PayBoxListVO}>
     */
    IPage<PayBoxListVO> list(PayBoxListParam param);

    /**
     * 获得商业细节
     *
     * @param payMerchant 支付商人
     * @param ids         id
     * @return {@link String}
     */
    String getMerchantDetail(Map<String, PayMerchant> payMerchant, String ids);
}
